# Generated by Django 2.2.5 on 2019-09-04 12:09

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('core', '0004_add_duplicated_reserved_resources'),
    ]

    operations = [
        migrations.CreateModel(
            name='DebPublication',
            fields=[
                ('publication_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_debpublication', serialize=False, to='core.Publication')),
                ('simple', models.BooleanField(default=False)),
                ('structured', models.BooleanField(default=False)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.publication',),
        ),
        migrations.CreateModel(
            name='DebRemote',
            fields=[
                ('remote_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_debremote', serialize=False, to='core.Remote')),
                ('distributions', models.CharField(max_length=255, null=True)),
                ('components', models.CharField(max_length=255, null=True)),
                ('architectures', models.CharField(max_length=255, null=True)),
                ('sync_sources', models.BooleanField(default=False)),
                ('sync_udebs', models.BooleanField(default=False)),
                ('sync_installer', models.BooleanField(default=False)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.remote',),
        ),
        migrations.CreateModel(
            name='VerbatimPublication',
            fields=[
                ('publication_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_verbatimpublication', serialize=False, to='core.Publication')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.publication',),
        ),
        migrations.CreateModel(
            name='Release',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_release', serialize=False, to='core.Content')),
                ('codename', models.CharField(max_length=255)),
                ('suite', models.CharField(max_length=255)),
                ('distribution', models.CharField(max_length=255)),
                ('components', models.CharField(blank=True, max_length=255)),
                ('architectures', models.CharField(blank=True, max_length=255)),
                ('relative_path', models.CharField(max_length=255)),
                ('sha256', models.CharField(max_length=255)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('codename', 'suite', 'distribution', 'components', 'architectures', 'relative_path', 'sha256')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='Package',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_package', serialize=False, to='core.Content')),
                ('package_name', models.CharField(max_length=255)),
                ('source', models.CharField(max_length=255, null=True)),
                ('version', models.CharField(max_length=255)),
                ('architecture', models.CharField(max_length=255)),
                ('section', models.CharField(max_length=255, null=True)),
                ('priority', models.CharField(max_length=255, null=True)),
                ('origin', models.CharField(max_length=255, null=True)),
                ('tag', models.TextField(null=True)),
                ('bugs', models.TextField(null=True)),
                ('essential', models.BooleanField(choices=[(True, 'yes'), (False, 'no')], null=True)),
                ('build_essential', models.BooleanField(choices=[(True, 'yes'), (False, 'no')], null=True)),
                ('installed_size', models.IntegerField(null=True)),
                ('maintainer', models.CharField(max_length=255)),
                ('original_maintainer', models.CharField(max_length=255, null=True)),
                ('description', models.TextField()),
                ('description_md5', models.CharField(max_length=255, null=True)),
                ('homepage', models.CharField(max_length=255, null=True)),
                ('built_using', models.CharField(max_length=255, null=True)),
                ('auto_built_package', models.CharField(max_length=255, null=True)),
                ('multi_arch', models.CharField(choices=[('no', 'no'), ('same', 'same'), ('foreign', 'foreign'), ('allowed', 'allowed')], max_length=255, null=True)),
                ('breaks', models.TextField(null=True)),
                ('conflicts', models.TextField(null=True)),
                ('depends', models.TextField(null=True)),
                ('recommends', models.TextField(null=True)),
                ('suggests', models.TextField(null=True)),
                ('enhances', models.TextField(null=True)),
                ('pre_depends', models.TextField(null=True)),
                ('provides', models.TextField(null=True)),
                ('replaces', models.TextField(null=True)),
                ('relative_path', models.CharField(max_length=255)),
                ('sha256', models.CharField(max_length=255)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('sha256',)},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='InstallerPackage',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_installerpackage', serialize=False, to='core.Content')),
                ('package_name', models.CharField(max_length=255)),
                ('source', models.CharField(max_length=255, null=True)),
                ('version', models.CharField(max_length=255)),
                ('architecture', models.CharField(max_length=255)),
                ('section', models.CharField(max_length=255, null=True)),
                ('priority', models.CharField(max_length=255, null=True)),
                ('origin', models.CharField(max_length=255, null=True)),
                ('tag', models.TextField(null=True)),
                ('bugs', models.TextField(null=True)),
                ('essential', models.BooleanField(choices=[(True, 'yes'), (False, 'no')], null=True)),
                ('build_essential', models.BooleanField(choices=[(True, 'yes'), (False, 'no')], null=True)),
                ('installed_size', models.IntegerField(null=True)),
                ('maintainer', models.CharField(max_length=255)),
                ('original_maintainer', models.CharField(max_length=255, null=True)),
                ('description', models.TextField()),
                ('description_md5', models.CharField(max_length=255, null=True)),
                ('homepage', models.CharField(max_length=255, null=True)),
                ('built_using', models.CharField(max_length=255, null=True)),
                ('auto_built_package', models.CharField(max_length=255, null=True)),
                ('multi_arch', models.CharField(choices=[('no', 'no'), ('same', 'same'), ('foreign', 'foreign'), ('allowed', 'allowed')], max_length=255, null=True)),
                ('breaks', models.TextField(null=True)),
                ('conflicts', models.TextField(null=True)),
                ('depends', models.TextField(null=True)),
                ('recommends', models.TextField(null=True)),
                ('suggests', models.TextField(null=True)),
                ('enhances', models.TextField(null=True)),
                ('pre_depends', models.TextField(null=True)),
                ('provides', models.TextField(null=True)),
                ('replaces', models.TextField(null=True)),
                ('relative_path', models.CharField(max_length=255)),
                ('sha256', models.CharField(max_length=255)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('sha256',)},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='GenericContent',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_genericcontent', serialize=False, to='core.Content')),
                ('relative_path', models.CharField(max_length=255)),
                ('sha256', models.CharField(max_length=255)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('relative_path', 'sha256')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='DebDistribution',
            fields=[
                ('basedistribution_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_debdistribution', serialize=False, to='core.BaseDistribution')),
                ('publication', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='deb_debdistribution', to='core.Publication')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
            },
            bases=('core.basedistribution',),
        ),
        migrations.CreateModel(
            name='PackageIndex',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_packageindex', serialize=False, to='core.Content')),
                ('component', models.CharField(max_length=255)),
                ('architecture', models.CharField(max_length=255)),
                ('relative_path', models.CharField(max_length=255)),
                ('sha256', models.CharField(max_length=255)),
                ('release', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deb_packageindex', to='deb.Release')),
            ],
            options={
                'verbose_name_plural': 'PackageIndices',
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('relative_path', 'sha256')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='InstallerFileIndex',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_installerfileindex', serialize=False, to='core.Content')),
                ('component', models.CharField(max_length=255)),
                ('architecture', models.CharField(max_length=255)),
                ('relative_path', models.CharField(max_length=255)),
                ('sha256', models.CharField(max_length=255)),
                ('release', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deb_installerfileindex', to='deb.Release')),
            ],
            options={
                'verbose_name_plural': 'InstallerFileIndices',
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('relative_path', 'sha256')},
            },
            bases=('core.content',),
        ),
    ]
