# Generated by Django 2.2.7 on 2019-11-13 17:07

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0014_remove_repository_plugin_managed'),
        ('deb', '0006_debrepository'),
    ]

    operations = [
        migrations.CreateModel(
            name='Release',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_release', serialize=False, to='core.Content')),
                ('codename', models.CharField(max_length=255)),
                ('suite', models.CharField(max_length=255)),
                ('distribution', models.CharField(max_length=255)),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('codename', 'suite', 'distribution')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='ReleaseComponent',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_releasecomponent', serialize=False, to='core.Content')),
                ('component', models.CharField(max_length=255)),
                ('release', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deb_releasecomponent', to='deb.Release')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('component', 'release')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='ReleaseArchitecture',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_releasearchitecture', serialize=False, to='core.Content')),
                ('architecture', models.CharField(max_length=255)),
                ('release', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deb_releasearchitecture', to='deb.Release')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('architecture', 'release')},
            },
            bases=('core.content',),
        ),
        migrations.CreateModel(
            name='PackageReleaseComponent',
            fields=[
                ('content_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, related_name='deb_packagereleasecomponent', serialize=False, to='core.Content')),
                ('package', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deb_packagereleasecomponent', to='deb.Package')),
                ('release_component', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='deb_packagereleasecomponent', to='deb.ReleaseComponent')),
            ],
            options={
                'default_related_name': '%(app_label)s_%(model_name)s',
                'unique_together': {('package', 'release_component')},
            },
            bases=('core.content',),
        ),
    ]
